NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.SheetMetal.FlangeBendPropertiesBuilder Class Reference

Represents a Sheetmetal Flange Bend Properties builder class. More...

Inheritance diagram for NXOpen.Features.SheetMetal.FlangeBendPropertiesBuilder:
NXOpen.Features.SheetMetal.FeatureBendPropertiesBuilder NXOpen.Features.SheetMetal.SheetmetalComponentBuilder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Insets { MaterialInside, MaterialOutside, BendOutside, MaterialInsideOML }
 This enum defines the material inset types More...
 
enum  LengthReferences { Inside, Outside, Web, Tangent }
 This enum defines the flange length dimension types More...
 
enum  WidthOptions {
  Full, AtCenter, AtEnd, FromEnd,
  FromBothEnds
}
 This enum defines the flange width options More...
 

Public Member Functions

unsafe void DeleteFlangeBendProperties ()
 Create a flange properties. More...
 

Properties

unsafe NXOpen.Expression Angle [get]
 Returns the angle More...
 
unsafe NXOpen.Expression Distance1 [get]
 Returns the distance1 More...
 
unsafe NXOpen.Expression Distance2 [get]
 Returns the distance2 More...
 
unsafe NXOpen.ScCollector Edges [get]
 Returns the base edge for the flange. More...
 
unsafe
NXOpen.Features.SheetMetal.FlangeBendPropertiesBuilder.Insets 
Inset [get, set]
 Returns or sets the inset More...
 
unsafe NXOpen.Expression Length [get]
 Returns the length More...
 
unsafe
NXOpen.Features.SheetMetal.FlangeBendPropertiesBuilder.LengthReferences 
LengthReference [get, set]
 Returns or sets the length reference More...
 
unsafe bool Miter [get, set]
 Returns or sets the option to specify behaviour of mirror/pattern of the flange More...
 
unsafe NXOpen.Expression Offset [get]
 Returns the offset More...
 
unsafe NXOpen.Point Point [get, set]
 Returns or sets the point More...
 
unsafe bool ReverseDirectionLength [get, set]
 Returns or sets the reverse direction More...
 
unsafe bool ReverseDirectionOffset [get, set]
 Returns or sets the reverse direction More...
 
unsafe bool UseRecipe [get, set]
 Returns or sets the option to specify behaviour of mirror/pattern of the flange More...
 
unsafe NXOpen.Expression Width [get]
 Returns the width More...
 
unsafe
NXOpen.Features.SheetMetal.FlangeBendPropertiesBuilder.WidthOptions 
WidthOption [get, set]
 Returns or sets the width option More...
 
- Properties inherited from NXOpen.Features.SheetMetal.FeatureBendPropertiesBuilder
unsafe
NXOpen.Features.SheetMetal.BendOptions 
BendOptions [get]
 Returns the Sheet Metal Bend Options More...
 
unsafe NXOpen.Expression Value [get]
 Returns the offset More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Sheetmetal Flange Bend Properties builder class.

This builder is used to interrogate the flange bend properties in the list.

To create a new instance of this class, use NXOpen.Features.SheetMetal.FlangeBendPropertiesListBuilder.CreateFlangeBendProperties

Created in NX12.0.0

Member Enumeration Documentation

This enum defines the material inset types

Enumerator
MaterialInside 
MaterialOutside 
BendOutside 
MaterialInsideOML 

This enum defines the flange length dimension types

Enumerator
Inside 
Outside 
Web 
Tangent 

This enum defines the flange width options

Enumerator
Full 
AtCenter 
AtEnd 
FromEnd 
FromBothEnds 

Member Function Documentation

unsafe void NXOpen.Features.SheetMetal.FlangeBendPropertiesBuilder.DeleteFlangeBendProperties ( )
inline

Create a flange properties.

Created in NX12.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

Property Documentation

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.FlangeBendPropertiesBuilder.Angle
get

Returns the angle

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.FlangeBendPropertiesBuilder.Distance1
get

Returns the distance1

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.FlangeBendPropertiesBuilder.Distance2
get

Returns the distance2

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.SheetMetal.FlangeBendPropertiesBuilder.Edges
get

Returns the base edge for the flange.

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.Features.SheetMetal.FlangeBendPropertiesBuilder.Insets NXOpen.Features.SheetMetal.FlangeBendPropertiesBuilder.Inset
getset

Returns or sets the inset

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.FlangeBendPropertiesBuilder.Length
get

Returns the length

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.Features.SheetMetal.FlangeBendPropertiesBuilder.LengthReferences NXOpen.Features.SheetMetal.FlangeBendPropertiesBuilder.LengthReference
getset

Returns or sets the length reference

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

unsafe bool NXOpen.Features.SheetMetal.FlangeBendPropertiesBuilder.Miter
getset

Returns or sets the option to specify behaviour of mirror/pattern of the flange

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.FlangeBendPropertiesBuilder.Offset
get

Returns the offset

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.Point NXOpen.Features.SheetMetal.FlangeBendPropertiesBuilder.Point
getset

Returns or sets the point

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

unsafe bool NXOpen.Features.SheetMetal.FlangeBendPropertiesBuilder.ReverseDirectionLength
getset

Returns or sets the reverse direction

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

unsafe bool NXOpen.Features.SheetMetal.FlangeBendPropertiesBuilder.ReverseDirectionOffset
getset

Returns or sets the reverse direction

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

unsafe bool NXOpen.Features.SheetMetal.FlangeBendPropertiesBuilder.UseRecipe
getset

Returns or sets the option to specify behaviour of mirror/pattern of the flange

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.FlangeBendPropertiesBuilder.Width
get

Returns the width

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.Features.SheetMetal.FlangeBendPropertiesBuilder.WidthOptions NXOpen.Features.SheetMetal.FlangeBendPropertiesBuilder.WidthOption
getset

Returns or sets the width option

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.